<script type="text/javascript">
	var report_def;
	var report_instance;

	var report_name = '<?= $params["report_name"]; ?>';
	var report_data_id = '<?= $params["report_data_id"]; ?>';
	var report_definition_url = '<?= $params["report_definition_url"]; ?>';
	
	var schema_url = '<?= $params["report_schema_url"]; ?>';
	var data_url = '<?= $params["report_data_url"]; ?>';

	// To enable PDF download in IE9, set the path to the jsreports library
	jsreports.libraryPath = '/plugins/ims/management/widgets/report/assets/jsreports-all';
	
	$(document).ready(function () {

	  $('#brn-report-open').click(function() {
	  
		//report_data_id = report_data_id + '/' report_data_id.replace('/','-');
		parameter_value = $('.parameter-value').val();
		
		if ( $('.parameter-value-2').length && $('.parameter-value-2').val() )
		{
			parameter_value = parameter_value + '|' + $('.parameter-value-2').val(); 
		}
		
		console.log(parameter_value);
		
		
		openReport(parameter_value);
		return false;		
	  });
	  
	  $('#brn-report-export').click(function() {
		exportPdf();
		return false;		
	  });
	  
    });
	
	function getDataSource(parameters)
	{
		return [{
			id: 'datasource1',
			name: 'datasource1',
			schema_url: schema_url,
			url: data_url+parameters,
		}];
	}
	
	function exportPdf()
	{
		// aggiunge il filtro
		if ( parameter_value )
		{
			parameter_value = '/' + parameter_value.split('/').join('-');;
		}
		
        // Load the report definition (here, a static file; in production, might be in a database)
        $.getJSON(report_definition_url, function (def) {
			jsreports.export({
			  format: 'PDF',
			  filename: '<?= $params["report_name"]; ?>.pdf',
			  datasets: getDataSource(parameter_value),
			  report_def: def
			});
        });	
	}

    function openReport(parameter_value)
	{
		// aggiunge il filtro
		if ( parameter_value )
		{
			parameter_value = '/' + parameter_value.split('/').join('-');
		}
		
		// To enable PDF download in IE9, set the path to the jsreports library
        jsreports.libraryPath = '/plugins/ims/management/widgets/report/assets/jsreports-all';

        // Load the report definition (here, a static file; in production, might be in a database)
        $.getJSON(report_definition_url, function (def) {
            report_def = def;

			// Now that we have the definition, we can run the report
			report_instance = jsreports.render({
				report_def: report_def,
				target: $(".report-output"),
				datasets: getDataSource(parameter_value)
			});
        });	
		
	}
</script>
<style>
	@media screen and (min-width: 400px) {
		button.btn-report
		{
			margin-top: 27px;
			margin-right: 10px;
		}
	}
	
	@media screen and (min-width: 1023px) {
		.form-group.span-custom {
			float: left;
			width: 24%;
			clear: none;
			margin-left: 10px;
		}
		
		input#DatePicker-formDate-date-date-2 {
			padding-right: 32px;
		}
	}
	
	

</style>
	<div class="control-breadcrumb">
		<ul>
			<li><a href="/backend/ims/reportmanager/reportdefinitioncontroller">Reports</a></li>
			<li><?= $params["report_name"]; ?></li>
		</ul>                                       
	</div>
	<div class="layout-row">
		<div id="Form-outsideTabs" class="form-tabless-fields ">
			
			 <div class="form-group  text-field span-custom is-required  " data-field-name="name" id="Form-field-ApiGenerator-name-group">
				<label for="Form-field-PageContent-date">Data minima</label>	
				<!-- Widget -->
				<div id="DatePicker-formDate-date" class="field-datepicker" data-control="datepicker" data-mode="date" data-show-week-number="" data-disposable="">
					<!-- Date -->
					<div class="input-with-icon right-align">
						<i class="icon icon-calendar-o"></i>
						<input type="text" id="DatePicker-formDate-date-date" class="form-control align-right parameter-value" autocomplete="off" data-datepicker="" >
					</div>
				</div>
			</div>
			<?php if ($params["parameters_type"] == "range"): ?>
			 <div class="form-group  text-field span-custom is-required  " data-field-name="name" id="Form-field-ApiGenerator-name-group">
				<label for="Form-field-PageContent-date">Data massima</label>	
				<!-- Widget -->
				<div id="DatePicker-formDate-date" class="field-datepicker" data-control="datepicker" data-mode="date" data-show-week-number="" data-disposable="">
					<!-- Date -->
					<div class="input-with-icon right-align">
						<i class="icon icon-calendar-o"></i>
					</div>
						<input type="text" id="DatePicker-formDate-date-date-2" class="form-control align-right parameter-value-2" autocomplete="off" data-datepicker="" >
				</div>
			</div>
			<?php endif ?>
			<div class="form-group  text-field span-right">
				<button id="brn-report-open" data-hotkey="ctrl+s, cmd+s" data-load-indicator="apertura in corso..." class="btn btn-primary btn-report" data-disposable="">
						Apri report
				</button>
				<button id="brn-report-export" data-hotkey="ctrl+s, cmd+s" data-load-indicator="apertura in corso..." class="btn btn-primary btn-report" data-disposable="">
						Salva PDF
				</button>				
			</div>

		</div>
	</div>
	<div class="layout-row">
		<div class="report-container">
			<div class="report-output"></div>
		</div>
	</div>